import CoUxDisableContent from '../../../../components/10x/ux/ux-disable-content.js';
import CoUxButton from '../../../../components/10x/ux/ux-button.js';
import CoUxPanel from '../../../../components/10x/ux/ux-panel.js';
import CoUxGrowl from '../../../../components/10x/ux/ux-growl.js';
import EuiBasePage from '../eui-base.po.js';

export default class DisableContentPage extends EuiBasePage {

  constructor() {
      super();
      this.buttonCO = new CoUxButton(this.mainContent);
      this.panelCO = new CoUxPanel(this.mainContent);
      this.growlCO = new CoUxGrowl('//body');
  }

  /**
   * Returns the index-nth CoUxDisableContent from the page
   * @param index - index of the component
   * @returns CoUxDisableContent
   */
  disableContentByIndex(index) {
    let disableContent1 =  new CoUxDisableContent(this.mainContent);
    return disableContent1.byIndex(index);
  }
  /**
   * Returns the CoUxDisableContent from the page that contains the section
   * @param id - id to be contained
   * @returns CoUxDisableContent
   */
  disableContentFromSectionById(id) {
    return new CoUxDisableContent(this.sectionById(id));
  }
  /**
   * Returns the CoUxDisableContent from the page that contains the section and index
   * @param id - id to be contained
   * @param index - index of the component
   * @returns CoUxDisableContent
   */
  disableContentFromSectionWithIdByIndex(id, index) {
    let disableContent1 = new CoUxDisableContent(this.sectionById(id));
    return disableContent1.byIndex(index);
  }
}


